Closed Bug 775551 Opened 9 years ago Closed 6 years ago

Intermittent test_bug331959.html | Test timed out. | [SimpleTest.finish()] waitForFocus() was called a different number of times from the number of callbacks run ... - got 1, expected 0

Categories

(Core :: DOM: UI Events & Focus Handling, defect)

x86_64
macOS
defect
Not set
normal

Tracking

()

RESOLVED WORKSFORME

People

(Reporter: emorley, Unassigned)

References

Details

(Keywords: intermittent-failure)

This was mis-starred 8 times as bug 698174, breaking out from there.

Appears to be OS X 10.7 only.

(In reply to TinderboxPushlog Robot from comment #218)
> ryanvm%gmail.com
> https://tbpl.mozilla.org/php/getParsedLog.php?id=13558148&tree=Mozilla-
> Inbound
> Rev4 MacOSX Lion 10.7 mozilla-inbound opt test mochitests-1/5 on 2012-07-15
> 15:22:56
> slave: talos-r4-lion-054
> 
> 11225 ERROR TEST-UNEXPECTED-FAIL |
> /tests/content/base/test/test_bug331959.html | Test timed out.
> 11226 ERROR TEST-UNEXPECTED-FAIL |
> /tests/content/base/test/test_bug331959.html | [SimpleTest.finish()]
> waitForFocus() was called a different number of times from the number of
> callbacks run.  Maybe the test terminated prematurely -- be sure to use
> SimpleTest.waitForExplicitFinish(). - got 1, expected 0
The earliest instance I can find in bug 698174 is this one:

(In reply to TinderboxPushlog Robot from comment #188)
> billm
> https://tbpl.mozilla.org/php/getParsedLog.php?id=12161845&tree=Try
> Rev4 MacOSX Lion 10.7 try opt test mochitests-1/5 on 2012-05-29 09:25:40
> slave: talos-r4-lion-045
> 
> 11204 ERROR TEST-UNEXPECTED-FAIL |
> /tests/content/base/test/test_bug331959.html | Test timed out.
> 11205 ERROR TEST-UNEXPECTED-FAIL |
> /tests/content/base/test/test_bug331959.html | [SimpleTest.finish()]
> waitForFocus() was called a different number of times from the number of
> callbacks run.  Maybe the test terminated prematurely -- be sure to use
> SimpleTest.waitForExplicitFinish(). - got 1, expected 0
Shoving the rest in here in order:

(In reply to TinderboxPushlog Robot from comment #193)
> ryanvm%gmail.com
> https://tbpl.mozilla.org/php/getParsedLog.php?id=12535781&tree=Mozilla-
> Inbound
> Rev4 MacOSX Lion 10.7 mozilla-inbound opt test mochitests-1/5 on 2012-06-10
> 15:49:45
> slave: talos-r4-lion-007
> 
> 11269 ERROR TEST-UNEXPECTED-FAIL |
> /tests/content/base/test/test_bug331959.html | Test timed out.
> 11270 ERROR TEST-UNEXPECTED-FAIL |
> /tests/content/base/test/test_bug331959.html | [SimpleTest.finish()]
> waitForFocus() was called a different number of times from the number of
> callbacks run.  Maybe the test terminated prematurely -- be sure to use
> SimpleTest.waitForExplicitFinish(). - got 1, expected 0
> 91476 ERROR TEST-UNEXPECTED-FAIL |
> /tests/content/media/test/test_bug726904.html | clientWidth should be 400 -
> got 0, expected 400
> 91477 ERROR TEST-UNEXPECTED-FAIL |
> /tests/content/media/test/test_bug726904.html | clientHeight should be 400 -
> got 0, expected 400
(In reply to TinderboxPushlog Robot from comment #220)
> edmorley
> https://tbpl.mozilla.org/php/getParsedLog.php?id=13559386&tree=Mozilla-Aurora
> Rev4 MacOSX Lion 10.7 mozilla-aurora opt test mochitests-1/5 on 2012-07-15
> 16:21:29
> slave: talos-r4-lion-019
> 
> 11206 ERROR TEST-UNEXPECTED-FAIL |
> /tests/content/base/test/test_bug331959.html | Test timed out.
> 11207 ERROR TEST-UNEXPECTED-FAIL |
> /tests/content/base/test/test_bug331959.html | [SimpleTest.finish()]
> waitForFocus() was called a different number of times from the number of
> callbacks run.  Maybe the test terminated prematurely -- be sure to use
> SimpleTest.waitForExplicitFinish(). - got 1, expected 0

(In reply to TinderboxPushlog Robot from comment #221)
> edmorley
> https://tbpl.mozilla.org/php/getParsedLog.php?id=13578959&tree=Mozilla-
> Inbound
> Rev4 MacOSX Lion 10.7 mozilla-inbound opt test mochitests-1/5 on 2012-07-16
> 11:06:03
> slave: talos-r4-lion-015
> 
> 11225 ERROR TEST-UNEXPECTED-FAIL |
> /tests/content/base/test/test_bug331959.html | Test timed out.
> 11226 ERROR TEST-UNEXPECTED-FAIL |
> /tests/content/base/test/test_bug331959.html | [SimpleTest.finish()]
> waitForFocus() was called a different number of times from the number of
> callbacks run.  Maybe the test terminated prematurely -- be sure to use
> SimpleTest.waitForExplicitFinish(). - got 1, expected 0


(In reply to TinderboxPushlog Robot from comment #222)
> edmorley
> https://tbpl.mozilla.org/php/getParsedLog.php?id=13595031&tree=Mozilla-
> Inbound
> Rev4 MacOSX Lion 10.7 mozilla-inbound opt test mochitests-1/5 on 2012-07-16
> 23:35:57
> slave: talos-r4-lion-065
> 
> 11225 ERROR TEST-UNEXPECTED-FAIL |
> /tests/content/base/test/test_bug331959.html | Test timed out.
> 11226 ERROR TEST-UNEXPECTED-FAIL |
> /tests/content/base/test/test_bug331959.html | [SimpleTest.finish()]
> waitForFocus() was called a different number of times from the number of
> callbacks run.  Maybe the test terminated prematurely -- be sure to use
> SimpleTest.waitForExplicitFinish(). - got 1, expected 0


(In reply to TinderboxPushlog Robot from comment #223)
> cjones
> https://tbpl.mozilla.org/php/getParsedLog.php?id=13618318&tree=Mozilla-
> Inbound
> Rev4 MacOSX Lion 10.7 mozilla-inbound opt test mochitests-1/5 on 2012-07-17
> 17:17:08
> slave: talos-r4-lion-020
> 
> 11225 ERROR TEST-UNEXPECTED-FAIL |
> /tests/content/base/test/test_bug331959.html | Test timed out.
> 11226 ERROR TEST-UNEXPECTED-FAIL |
> /tests/content/base/test/test_bug331959.html | [SimpleTest.finish()]
> waitForFocus() was called a different number of times from the number of
> callbacks run.  Maybe the test terminated prematurely -- be sure to use
> SimpleTest.waitForExplicitFinish(). - got 1, expected 0

(In reply to TinderboxPushlog Robot from comment #224)
> edmorley
> https://tbpl.mozilla.org/php/getParsedLog.php?id=13624511&tree=Mozilla-
> Inbound
> Rev4 MacOSX Lion 10.7 mozilla-inbound opt test mochitests-1/5 on 2012-07-17
> 21:29:59
> slave: talos-r4-lion-071
> 
> 11225 ERROR TEST-UNEXPECTED-FAIL |
> /tests/content/base/test/test_bug331959.html | Test timed out.
> 11226 ERROR TEST-UNEXPECTED-FAIL |
> /tests/content/base/test/test_bug331959.html | [SimpleTest.finish()]
> waitForFocus() was called a different number of times from the number of
> callbacks run.  Maybe the test terminated prematurely -- be sure to use
> SimpleTest.waitForExplicitFinish(). - got 1, expected 0

(In reply to TinderboxPushlog Robot from comment #225)
> edmorley
> https://tbpl.mozilla.org/php/getParsedLog.php?id=13632685&tree=Fx-Team
> Rev4 MacOSX Lion 10.7 fx-team opt test mochitests-1/5 on 2012-07-18 04:51:57
> slave: talos-r4-lion-065
> 
> 11225 ERROR TEST-UNEXPECTED-FAIL |
> /tests/content/base/test/test_bug331959.html | Test timed out.
> 11226 ERROR TEST-UNEXPECTED-FAIL |
> /tests/content/base/test/test_bug331959.html | [SimpleTest.finish()]
> waitForFocus() was called a different number of times from the number of
> callbacks run.  Maybe the test terminated prematurely -- be sure to use
> SimpleTest.waitForExplicitFinish(). - got 1, expected 0

(In reply to TinderboxPushlog Robot from comment #226)
> edmorley
> https://tbpl.mozilla.org/php/getParsedLog.php?id=13636228&tree=Firefox
> Rev4 MacOSX Lion 10.7 mozilla-central opt test mochitests-1/5 on 2012-07-18
> 06:53:27
> slave: talos-r4-lion-061
> 
> 11225 ERROR TEST-UNEXPECTED-FAIL |
> /tests/content/base/test/test_bug331959.html | Test timed out.
> 11226 ERROR TEST-UNEXPECTED-FAIL |
> /tests/content/base/test/test_bug331959.html | [SimpleTest.finish()]
> waitForFocus() was called a different number of times from the number of
> callbacks run.  Maybe the test terminated prematurely -- be sure to use
> SimpleTest.waitForExplicitFinish(). - got 1, expected 0
Boris, any ideas about this one, as test author? :-)
Oh actually I've just seen you un CCed yourselves further up.

If you're not working on this, would you rather we just disable the test on 10.7?
Hmm.  So this can happen if SimpleTest.finish() is called before the waitForFocus callback.

In this case, it looks like the test timeout is what calls SimpleTest.finish.

So the real issue seems to be that the test times out, and does so before the waitForFocus callback is ever called.

I have no idea why this is not biting the bajillion other tests that use waitForFocus.
Whiteboard: [orange]
Mass-closing intermittent-failure bugs filed by me, that have not occurred recently and do not have the leave-open keyword set.
Status: NEW → RESOLVED
Closed: 6 years ago
Resolution: --- → WORKSFORME
Component: Event Handling → User events and focus handling
You need to log in before you can comment on or make changes to this bug.